#
# spec file for package python-sievelib
#
# Copyright (c) 2016 Aeneas Jaissle <aj@ajaissle.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname sievelib
Name:           python-%{modname}
Version:        0.9.2
Release:        lp151.2.2
Summary:        Client-side Sieve and Managesieve library written in Python
License:        MIT
Group:          Development/Languages/Python

Url:            https://pypi.python.org/pypi/sievelib
Source:         https://pypi.python.org/packages/source/s/%{modname}/%{modname}-%{version}.tar.gz

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Client-side Sieve and Managesieve library written in Python.
* Sieve: An Email Filtering Language (RFC 5228)
* ManageSieve: A Protocol for Remotely Managing Sieve Scripts (RFC 5804)

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.rst
%{python_sitelib}/*

%changelog
* Tue Feb 16 2016 aj@ajaissle.de
- License now is explicitly MIT
* Fri Feb  5 2016 aj@ajaissle.de
- Update to 0.9.2
* Tue Sep 29 2015 aj@ajaissle.de
- Fix license (PyPi says MIT, COPYING says ISC)
* Thu Sep 17 2015 aj@ajaissle.de
- Spec cleanup
* Wed Apr  1 2015 aj@ajaissle.de
- Initial package, sievelib v0.8
